# stopAnimation

```lua
return function()
    local app = getApp();
    local ob = app.createGameObject(); --create object to attach images to
    applyImage(ob, 'welcomeImage'); --add the image titled 'welcome' to the object
    
    ob.image.anchor('center', true); 
    --anchors the image to the center of the screen...
    
    ob.image.stopAnimation();
    --if the image is an animated one, it will pause animating.
end
```

{% hint style="warning" %}
You must first create an image for it to be applied! Check applyImage below for examples.
{% endhint %}

{% content-ref url="/pages/gqvM4178o3OeR3R3fEvX" %}
[applyImage](/lua-scripting-api/api-reference-and-tips/global-functions/applyimage.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/image/stopanimation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
